# TAPCONVERT.1

## NAME

tapconvert - convert Twisted configurations from one format to another

## SYNOPSIS

tapconvert -i input -o output [-f input-type] [-t output-type] [-d] [-e]

tapconvert --help

## DESCRIPTION

The --help prints out a usage message to standard output.

--in, -i <input file>
  The name of the input configuration.
--out, -o <output file>
  The name of the output configuration.
--typein, -f <input type>
  The type of the input file. Can be either 'guess', 'python', 'pickle', 'xml', or 'source'. Default is 'guess'.
--typeout, -t <output type>
  The type of the output file. Can be either 'pickle', 'xml', or 'source'. Default is 'source'.
--decrypt, -d
  Decrypt the specified tap/aos/xml input file.
--encrypt, -e
  Encrypt output file before writing.
--version
  Output version information and exit.

## AUTHOR

Written by Moshe Zadka, based on tapconvert's help messages

## REPORTING BUGS

To report a bug, visit http://twistedmatrix.com/bugs/

## COPYRIGHT

Copyright © 2000-2012 Twisted Matrix Laboratories. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Index

Version: 13.0.0